%{?nodejs_find_provides_and_requires}

%global packagename es6-iterator
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es6-iterator
Version:	2.0.0
Release:	%mkrel 8
Group:          Development/Other
Summary:	Iterator abstraction based on ES6 specification

License:	MIT
URL:		https://github.com/medikoo/es6-iterator.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	nodejs

%description
Iterator abstraction based on ES6 specification


%prep
%setup -q -n package

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d) 


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \#/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.0.0-8.mga10
+ Revision: 2209320
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.0.0-7.mga9
+ Revision: 1819779
- Mageia 9 Mass Rebuild

* Mon May 04 2020 joequant <joequant> 2.0.0-6.mga8
+ Revision: 1580045
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-5.mga8
+ Revision: 1492524
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-4.mga7
+ Revision: 1264963
- Mageia 7 Mass Rebuild

* Tue May 17 2016 neoclust <neoclust> 2.0.0-3.mga6
+ Revision: 1016480
- imported package nodejs-es6-iterator

